## mozjs140 140.3.0

=== testing/web-platform/tests/tools/manifest/requirements.txt ===
zstandard==0.23.0

=== testing/web-platform/tests/tools/wpt/requirements.txt ===
requests==2.32.3
types-requests==2.32.0.20241016

=== testing/web-platform/tests/tools/wptrunner/requirements.txt ===
html5lib==1.1
mozdebug==0.3.1
mozinfo==1.2.3  # https://bugzilla.mozilla.org/show_bug.cgi?id=1621226
mozlog==8.0.0
mozprocess==1.3.1
packaging==25.0
pillow==10.4.0; python_version < '3.9'
pillow==11.1.0; python_version >= '3.9'
requests==2.32.3
types-requests==2.32.0.20241016
six==1.16.0
types-six==1.17.0.20241205
urllib3==2.2.2
aioquic==0.9.21

=== testing/web-platform/tests/tools/wptserve/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wptserve.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wptserve.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wptserve"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wptserve"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mozjs140 140.0

=== debian/changelog ===
mozjs140 (140.0-2) unstable; urgency=medium

  * Release to unstable
  * Bump Standards Verson to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Jul 2025 12:19:37 -0400

mozjs140 (140.0-1) experimental; urgency=medium

  * New upstream series (Closes: #1108229)
  * Copy patch from Debian's firefox to work around build issue with -Wno-format
  * Disable an ARM patch that may not be needed any more
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Jun 2025 13:22:36 -0400

mozjs128 (128.11.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-5263: Error handling for script execution was incorrectly isolated
      from web content
  * Update debian/upstream/signing-key.asc per upstream rotation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:34:04 -0400

mozjs128 (128.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Apr 2025 08:13:03 -0400

mozjs128 (128.9.0-1) unstable; urgency=high

  * New upstream release (LP: #2105631)
    - CVE-2025-3028 Use-after-free triggered by XSLTProcessor
    - CVE-2025-3029 URL bar spoofing via non-BMP Unicode characters
    - CVE-2025-3030 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Mar 2025 12:49:25 -0400

mozjs128 (128.8.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-1933 JIT corruption of WASM i386 return value on 64-bit CPUs
    - CVE-2025-1934 Unexpected GC during RegExp bailout processing
    - CVE-2025-1936 Adding %00 and a fake extension changed interpretation
    - CVE-2025-1937 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 13:57:32 -0500

mozjs128 (128.7.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
    - CVE-2025-11704 Potential double-free in PKCS#7 decryption handling

  [ Simon McVittie ]
  * Build-Depend on rustc 1.76.0, as per python/mozboot/mozboot/util.py
    (Closes: #1092630)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 18:31:04 -0500

mozjs128 (128.6.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-0240: Compartment mismatch when parsing JavaScript JSON module
    - CVE-2025-0241: Memory corruption when using JavaScript Text Segmentation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 08:29:17 -0900

mozjs128 (128.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Nov 2024 15:33:47 -0500

mozjs128 (128.4.0-4) unstable; urgency=medium

  * Team upload
  * d/p/Bug-1926140-Replace-pipes-imports-r-jmaher.patch,
    d/p/Bug-1925198-Move-telnetlib-import-to-BaseEmulator-r-jmahe.patch:
    Add patches from mozilla-central partially fixing build with
    python3.13 as default (Helps: #1084616)
  * d/control, d/rules, d/clean: Use python3-legacy-cgi for tests,
    replacing the standard library module that is no longer included
    in python3.13.
    Because of the Mozilla build system's use of virtualenv, python3.13
    doesn't seem to pick it up from /usr/lib/python3/dist-packages,
    so create a debian/site-packages/ with cgi.py and put that in the
    PYTHONPATH. (Closes: #1084616)

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Nov 2024 16:59:31 +0000

mozjs128 (128.4.0-3) unstable; urgency=medium

  * Team upload
  * Install js128, js128-config to non-PATH locations.
    They aren't multi-arch co-installable if installed to /usr/bin,
    and the only package that build-depends on libmozjs-128-dev (gjs)
    doesn't actually use them anyway.
  * Install headers to a multiarch-friendly location.
    The headers contain facts about the host system (in js-config.h)
    so are not architecture-independent.
  * Mark libmozjs-128-dev as Multi-Arch: same.
    This will allow libgjs-dev to be usefully Multi-Arch: same, too.

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 11:25:43 +0000

mozjs128 (128.4.0-2) unstable; urgency=medium

  * Team upload
  * d/p/js-src-tests-Avoid-using-legacy-MST-time-zone-name.patch:
    Add proposed patch to fix a test failure without tzdata-legacy
    installed (Closes: #1086298)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2024 10:01:18 +0000

mozjs128 (128.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 29 Oct 2024 17:22:22 +0100

mozjs128 (128.3.0-1) unstable; urgency=high

  * New upstream release (LP: #2083344)
    - CVE-2024-9396 Potential memory corruption when cloning certain objects
    - CVE-2024-9400 Potential memory corruption during JIT compilation
    - CVE-2024-9402 Memory safety bugs
  * Remove libatomic patch applied in new release
  * Revert "Add -latomic to LDFLAGS to try to fix armel build"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 11:46:49 -0400

mozjs128 (128.2.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
    - CVE-2024-8381 Type confusion when looking up property names
    - CVE-2024-8382 Internal event interfaces exposed to web content
    - CVE-2024-8384 Garbage collection could mis-color cross-compartment objects
    - CVE-2024-8385 WASM type confusion involving ArrayTypes
    - CVE-2024-8387 Memory safety bugs

  [ Simon McVittie ]
  * Add patch to fix detection of architectures that require -latomic
    (Closes: #1079077)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Sep 2024 09:51:21 -0400

mozjs128 (128.1.0-3) unstable; urgency=medium

  * Add -latomic to LDFLAGS to try to fix armel build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Aug 2024 17:02:03 -0400

mozjs128 (128.1.0-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 22:38:35 -0400

mozjs128 (128.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove 12 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 07:04:31 -0400

mozjs128 (128.0-2) unstable; urgency=medium

  * New upstream series (Closes: #1076037)


=== debian/control ===
Source: mozjs140
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               cargo,
               cbindgen,
               clang,
               autoconf,
               automake,
               libreadline-dev,
               llvm,
               zlib1g-dev (>= 1:1.2.3),
               pkgconf,
               pkg-kde-tools,
               python3-dev,
               python3-legacy-cgi,
               rustc (>= 1.76.0),
               tzdata,
               zip
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs/tree/debian/140/latest
Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/140/latest
Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey

Package: libmozjs-140-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata
Description: SpiderMonkey JavaScript library
 SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This library is intended for use in contexts where only trusted
 JavaScript code will be run, such as GNOME's gjs, Cinnamon's cjs, and
 polkit's rules parsing. It should not be used to run untrusted JavaScript
 from web pages: use a security-supported implementation such as Firefox,
 Chrome or WebKitGTK's JavaScriptCore instead.

Package: libmozjs-140-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmozjs-140-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: SpiderMonkey JavaScript library - development headers
 SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the header files which are
 needed for developing SpiderMonkey embedders.
 .
 This library is intended for use in contexts where only trusted
 JavaScript code will be run, such as GNOME's gjs, Cinnamon's cjs, and
 polkit's rules parsing. It should not be used to run untrusted JavaScript
 from web pages: use a security-supported implementation such as Firefox,
 Chrome or WebKitGTK's JavaScriptCore instead.

=== debian/watch ===
# As of August 2020, there is not an official release of SpiderMonkey 78
# The tarball is built using firefox sources, excluding the unneeded files
# as per filtering done in debian/gbp.conf
# Also try
# http://ftp.gnome.org/pub/gnome/teams/releng/tarballs-needing-help/mozjs/
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/esr$// \
https://ftp.mozilla.org/pub/firefox/releases/\
	(140\.[\d.]+)esr/source/\
	firefox-@ANY_VERSION@\.source@ARCHIVE_EXT@

## mozjs140 140.1.0

=== debian/changelog ===
mozjs140 (140.1.0-4) unstable; urgency=medium

  * Opt into Salsa CI but disable blhc & reprotest checks for now
  * Add more tests to Expect-some-floating-point-tests-to-fail-on-i386.patch
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Aug 2025 15:24:47 -0400

mozjs140 (140.1.0-3) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p: Drop duplicated patch

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:23:19 -0400

mozjs140 (140.1.0-2) experimental; urgency=medium

  * d/p: Add patches suggested/required for building newer GJS
  * debian/libmozjs-140-0.docs: Add Apache NOTICE files to docs
  * debian/source/lintian-overrides: Drop unused rule
  * debian/copyright: Drop superfluous file paths

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 03 Aug 2025 18:13:21 +0200

mozjs140 (140.1.0-1) unstable; urgency=medium

  * New upstream release
  * Add patch from Chimera Linux to fix Unsupported OS error (Closes: #1108794)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Jul 2025 15:28:01 +0200

## mozjs140 140.2.0

=== debian/changelog ===
mozjs140 (140.2.0-1) unstable; urgency=medium

  * New upstream release
  * Remove Bug-1973993-Install-ProfilingCategoryList.h patch:
    applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Aug 2025 13:23:56 -0400

## mozjs140 140.3.0

=== debian/changelog ===
mozjs140 (140.3.0-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Requires-Root: no field
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 08:55:35 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                rustc (>= 1.76.0),
                tzdata,
                zip
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs/tree/debian/140/latest
 Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/140/latest
